#### D.12.2.53 merkle_hellman_encryption

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  merkle_hellman_encryption(knapsack, message)

Return:
  encrypted integer

Example:

    LIB "crypto.lib";
    //Please note that the values  have been obtained from the example of merkle_hellman_transformation!
    list hardknapsack =3,9,15,13;
    list message = 0,1,0,1;
    merkle_hellman_encryption(hardknapsack,message);
    ==> 22

User manual for Singular version 4.4.1, 2025, generated by texi2html.